using System;
using System.Collections.Generic;
namespace ZXDT.CallCenter.Model
{
	/// <summary>
	/// T_Good_Info:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_Good_Info
	{
		public T_Good_Info()
		{}
		#region Model
		private int _id;
		private string _f_goodsname;
		private int? _f_kindsid;
		private string _f_kindsname;
		private int? _f_propertyid;
		private string _f_propertyname;
		private int? _f_pathid;
		private int? _f_placeid;
		private string _f_placename;
		private DateTime? _f_getdate;
		private string _f_getpersonname;
		private int? _f_status;
		private string _f_statusname;
		private string _f_owername;
		private string _f_owerphonenumber;
		private string _f_owercardnumber;
		private string _f_owercardpath;
		private DateTime? _f_owerdate;
		private string _f_remark;
		private int? _f_savedepeid;
		private string _f_savedepename;
		private int? _f_saveuserid;
		private string _f_saveusername;
		private int? _f_userid;
		private string _f_username;
		private DateTime? _f_createdate;
		private DateTime? _f_updatedate;
		private string _f_earnumber;

        /// <summary>
        /// 流转信息
        /// </summary>
        public List<T_Good_TransInfo> TransInfoModelList
        {
            get;
            set;
        }
		/// <summary>
		/// 
		/// </summary>
        public int F_Id
		{
			set{ _id=value;}
			get{return _id;}
		}
		/// <summary>
		/// 名称
		/// </summary>
		public string F_GoodsName
		{
			set{ _f_goodsname=value;}
			get{return _f_goodsname;}
		}
		/// <summary>
		/// 种类id
		/// </summary>
		public int? F_KindsId
		{
			set{ _f_kindsid=value;}
			get{return _f_kindsid;}
		}
		/// <summary>
		/// 种类名称
		/// </summary>
		public string F_KindsName
		{
			set{ _f_kindsname=value;}
			get{return _f_kindsname;}
		}
		/// <summary>
		/// 属性id
		/// </summary>
		public int? F_PropertyId
		{
			set{ _f_propertyid=value;}
			get{return _f_propertyid;}
		}
		/// <summary>
		/// 属性名称
		/// </summary>
		public string F_PropertyName
		{
			set{ _f_propertyname=value;}
			get{return _f_propertyname;}
		}
		/// <summary>
		/// 线路id
		/// </summary>
		public int? F_PathId
		{
			set{ _f_pathid=value;}
			get{return _f_pathid;}
		}
		/// <summary>
		/// 拾获站点id
		/// </summary>
		public int? F_PlaceId
		{
			set{ _f_placeid=value;}
			get{return _f_placeid;}
		}
		/// <summary>
		/// 拾获站点名称
		/// </summary>
		public string F_PlaceName
		{
			set{ _f_placename=value;}
			get{return _f_placename;}
		}
		/// <summary>
		/// 拾获时间
		/// </summary>
		public DateTime? F_GetDate
		{
			set{ _f_getdate=value;}
			get{return _f_getdate;}
		}
		/// <summary>
		/// 拾获人姓名
		/// </summary>
		public string F_GetPersonName
		{
			set{ _f_getpersonname=value;}
			get{return _f_getpersonname;}
		}
		/// <summary>
		/// 状态
		/// </summary>
		public int? F_Status
		{
			set{ _f_status=value;}
			get{return _f_status;}
		}
		/// <summary>
		/// 状态名称
		/// </summary>
		public string F_StatusName
		{
			set{ _f_statusname=value;}
			get{return _f_statusname;}
		}
		/// <summary>
		/// 失主姓名
		/// </summary>
		public string F_OwerName
		{
			set{ _f_owername=value;}
			get{return _f_owername;}
		}
		/// <summary>
		/// 失主电话
		/// </summary>
		public string F_OwerPhoneNumber
		{
			set{ _f_owerphonenumber=value;}
			get{return _f_owerphonenumber;}
		}
		/// <summary>
		/// 失主身份证号码
		/// </summary>
		public string F_OwerCardNumber
		{
			set{ _f_owercardnumber=value;}
			get{return _f_owercardnumber;}
		}
		/// <summary>
		/// 失主身份证照片
		/// </summary>
		public string F_OwerCardPath
		{
			set{ _f_owercardpath=value;}
			get{return _f_owercardpath;}
		}
		/// <summary>
		/// 归还时间/销毁时间
		/// </summary>
		public DateTime? F_OwerDate
		{
			set{ _f_owerdate=value;}
			get{return _f_owerdate;}
		}
		/// <summary>
		/// 物品详情
		/// </summary>
		public string F_Remark
		{
			set{ _f_remark=value;}
			get{return _f_remark;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_SaveDepeId
		{
			set{ _f_savedepeid=value;}
			get{return _f_savedepeid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_SaveDepeName
		{
			set{ _f_savedepename=value;}
			get{return _f_savedepename;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_SaveUserId
		{
			set{ _f_saveuserid=value;}
			get{return _f_saveuserid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_SaveUserName
		{
			set{ _f_saveusername=value;}
			get{return _f_saveusername;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_UserId
		{
			set{ _f_userid=value;}
			get{return _f_userid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_UserName
		{
			set{ _f_username=value;}
			get{return _f_username;}
		}
		/// <summary>
		/// 创建日期
		/// </summary>
		public DateTime? F_CreateDate
		{
			set{ _f_createdate=value;}
			get{return _f_createdate;}
		}
		/// <summary>
		/// 修改日期
		/// </summary>
		public DateTime? F_UpdateDate
		{
			set{ _f_updatedate=value;}
			get{return _f_updatedate;}
		}
		/// <summary>
		/// 摄像头编号
		/// </summary>
		public string F_EarNumber
		{
			set{ _f_earnumber=value;}
			get{return _f_earnumber;}
		}

        /// <summary>
        /// 物品照片
        /// </summary>
        public string F_GoodsImg
        {
            set;
            get;
        }

           /// <summary>
        /// 物品归还备注
        /// </summary>
        public string F_BackRemark
        {
            set;
            get;
        }
        /// <summary>
        /// 商品种类列表
        /// </summary>
        public List<Model.T_Sys_DictionaryValue> GoodsKindsModelList { get; set; }

        /// <summary>
        /// 商品属性列表
        /// </summary>
        public List<Model.T_Sys_DictionaryValue> GoodsPropertyModelList { get; set; }
        
		#endregion Model

	}
}

